import * as $dara from '@darabonba/typescript';
import { DescribePortRangeListAssociationsResponseBody } from "./DescribePortRangeListAssociationsResponseBody";
export declare class DescribePortRangeListAssociationsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribePortRangeListAssociationsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
